package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbSchoolAtlas;
import org.apache.ibatis.annotations.Mapper;

/**
 * 学校图册Mapper接口
 * 
 * @author ruoyi
 * @date 2022-10-08
 */
@Mapper
public interface TbSchoolAtlasMapper 
{
    /**
     * 查询学校图册
     * 
     * @param id 学校图册主键
     * @return 学校图册
     */
    public TbSchoolAtlas selectTbSchoolAtlasById(Long id);

    /**
     * 查询学校图册列表
     * 
     * @param tbSchoolAtlas 学校图册
     * @return 学校图册集合
     */
    public List<TbSchoolAtlas> selectTbSchoolAtlasList(TbSchoolAtlas tbSchoolAtlas);

    /**
     * 新增学校图册
     * 
     * @param tbSchoolAtlas 学校图册
     * @return 结果
     */
    public int insertTbSchoolAtlas(TbSchoolAtlas tbSchoolAtlas);

    /**
     * 修改学校图册
     * 
     * @param tbSchoolAtlas 学校图册
     * @return 结果
     */
    public int updateTbSchoolAtlas(TbSchoolAtlas tbSchoolAtlas);

    /**
     * 删除学校图册
     * 
     * @param id 学校图册主键
     * @return 结果
     */
    public int deleteTbSchoolAtlasById(Long id);

    public int deleteTbSchoolAtlasBySchoolId(Long id);

    /**
     * 批量删除学校图册
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbSchoolAtlasByIds(String[] ids);

    public int deleteTbSchoolAtlasBySchoolIds(String[] ids);
}
